histories: Get Trade History

API: kucoin.com:kucoin
Endpoint: /api/v1/market/histories
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 410ms

Description

Returns recent executed trades including price, size, time, and side (buy/sell). Use this to see current market activity, recent price action, and trading volume patterns. The 'side' field indicates the taker order side.

From spec: Get recent trades for a specific symbol

Usage Tips

- Returns last 100 trades only - No pagination supported - for historical trades use candles endpoint - Time is in nanoseconds - Side 'buy' means a sell order was filled by a buy order (price went up)

Parameters (1)

symbol (string, query, required)

Trading pair symbol (e.g., BTC-USDT)

Examples (1)

Get recent trade history for ETH-USDT doc_extracted

Demonstrates fetching the last 100 executed trades for Ethereum

curl 'https://api.kucoin.com/api/v1/market/histories?symbol=ETH-USDT'
import requests

resp = requests.get(
    "https://api.kucoin.com/api/v1/market/histories",
    params={
        'symbol': 'ETH-USDT',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("kucoin")
result = api.fetch("api/v1/market/histories", symbol="ETH-USDT")

for item in result:
    print(item)
const resp = await fetch("https://api.kucoin.com/api/v1/market/histories?symbol=ETH-USDT");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:07:56.898721 200 410ms
2026-04-15 00:01:50.645941 200 610ms
2026-04-14 00:04:01.413311 200 444ms
2026-04-12 13:40:41.976177 200 378ms
2026-04-10 01:13:05.611795 200 349ms
2026-04-09 03:49:10.016015 200 384ms